/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

interface nsIURI;

interface flockIFeed;
interface flockIFeedContext;

[scriptable, uuid(319c5ab6-dc48-4934-9fa5-85912dafebc2)]
interface flockIFeedItem : nsISupports {
  AString getItemID();
  nsIURI getLink();

  AString getTitle();
  AString getAuthor();

  PRTime getPubDate();
  PRTime getCorrectedPubDate();

  AString getContent();
  AString getExcerpt();

  flockIFeedContext getContext();

  boolean isRead();
  boolean isFlagged();

  void setRead(in boolean aRead);
  void setFlagged(in boolean aFlagged);

  flockIFeed getFeed();
};
